##########################################
# changed /home/mailcollector to ${CURLOC}
########### Collector Script Starts here  ######################################################
# determines the current location
CURLOC=`(pwd) 2>/dev/null`

echo "This script may throw several errors.  This is normal."

mkdir -p ${CURLOC}/files

touch -C 1252 ${CURLOC}/files/dspptf.txt
touch -C 1252 ${CURLOC}/files/dspsfwrsc.txt
touch -C 1252 ${CURLOC}/files/cfgtcpopt10.txt
touch -C 1252 ${CURLOC}/files/cfgtcpopt12.txt
touch -C 1252 ${CURLOC}/files/wrkactjob.txt
touch -C 1252 ${CURLOC}/files/wrksysval.txt
touch -C 1252 ${CURLOC}/files/wrksyssts.txt   
touch -C 1252 ${CURLOC}/files/RootAttributes.txt   
touch -C 1252 ${CURLOC}/files/cfgtcpOpt1.txt
touch -C 1252 ${CURLOC}/files/ServiceDBPorts.txt
touch -C 1252 ${CURLOC}/files/cfgtcpopt2.txt
touch -C 1252 ${CURLOC}/files/cfgtcpopt3.txt
touch -C 1252 ${CURLOC}/files/smtpattr.txt
touch -C 1252 ${CURLOC}/files/QATMIFCLST.txt
touch -C 1252 ${CURLOC}/files/qsrlnbr.txt
touch -C 1252 ${CURLOC}/files/dspdire.txt
touch -C 1252 ${CURLOC}/files/chgdsta.txt
touch -C 1252 ${CURLOC}/files/qtmsclean.txt
touch -C 1252 ${CURLOC}/files/QIBM_QZMF.txt
touch -C 1252 ${CURLOC}/files/qaoklist.txt
touch -C 1252 ${CURLOC}/files/netstat_cnn.txt
touch -C 1252 ${CURLOC}/files/sysaliases.txt
touch -C 1252 ${CURLOC}/files/relaylist.txt 

#Spool out dspptf, dspsfwrsc, wrkactjob, wrksysval, wrksyssts to .txt files
system dspptf > ${CURLOC}/files/dspptf.txt    
system dspsfwrsc > ${CURLOC}/files/dspsfwrsc.txt
system wrkactjob > ${CURLOC}/files/wrkactjob.txt
system wrksysval > ${CURLOC}/files/wrksysval.txt
system WRKSYSSTS > ${CURLOC}/files/wrksyssts.txt 
ls -l /QSYS.LIB/QUSRSYS.LIB/QAOK*.FILE > ${CURLOC}/files/qaoklist.txt
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMSMTPA) TOSTMF('${CURLOC}/files/sysaliases.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"

#DISPLAY TCP CONFIGURATION
#################   
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMSMTP config) TOSTMF('${CURLOC}/files/smtpattr.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMIFCLST ifcdmn) TOSTMF('${CURLOC}/files/QATMIFCLST.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "DSPSYSVAL SYSVAL(QSRLNBR)" > ${CURLOC}/files/qsrlnbr.txt 
system "DSPDIRE" > ${CURLOC}/files/dspdire.txt 
system "chgdsta" > ${CURLOC}/files/chgdsta.txt
system "DSPDTAARA DTAARA(QUSRSYS/QTMSCLEAN)" > ${CURLOC}/files/qtmsclean.txt
system "WRKREGINF EXITPNT(QIBM_QZMF*) OUTPUT(*PRINT)" > ${CURLOC}/files/qibm_qzmf.txt
system "CPYTOIMPF FROMFILE(QUSRSYS/QATMADRLST) TOSTMF('${CURLOC}/files/relaylist.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"

###################
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOChost hosts) TOSTMF('${CURLOC}/files/cfgtcpopt10.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCtcpip config) TOSTMF('${CURLOC}/files/cfgtcpopt12.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCIFC INTERFACES) TOSTMF('${CURLOC}/files/cfgtcpOpt1.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCPS SERVICES) TOSTMF('${CURLOC}/files/ServiceDBPorts.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
system "CPYTOIMPF FROMFILE(QUSRSYS/QATocrte) TOSTMF('${CURLOC}/files/cfgtcpopt2.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"    
system "CPYTOIMPF FROMFILE(QUSRSYS/QATOCTCPIP) TOSTMF('${CURLOC}/files/cfgtcpopt3.txt') MBROPT(*REPLACE) RCDDLM(*CRLF) RMVBLANK(*BOTH) FLDDLM(*TAB)"
 
#DISPLAY AUTHORITY FOR SELECTED IFS AND OBJECTS
system "DSPLNK OBJ('/') OUTPUT(*PRINT) OBJTYPE(*ALL) DETAIL(*EXTENDED) DSPOPT(*ALL)"   > ${CURLOC}/files/RootAttributes.txt     


echo 'Hit Enter to Continue --->  '
read $CONTINUE

${CURLOC}/mail_menu.sh
#################################################################################
## END COLLECTOR                                                               ##
##                                                                             ##
#################################################################################
