#!/bin/qsh


export WAS_PROFILE_NAME=$1
export WAS_PROD_PATH=$2



mkdir -p /tmp/Wascollector


#Query .was.installlocations.registry, grab ${WAS_PROD_PATH}/properties/product.properties   to grab 
# was.userdata.path=/QIBM/UserData/WebSphere/AppServer/V85/Express. Save to WAS_USER_PATH
WAS_USER_PATH=/`grep 'was.userdata.path' ${WAS_PROD_PATH}/properties/product.properties  |  cut -d '/' -f2-10`                                                                                                                       
#Test if result is null, if so, error and exit tool
echo "WAS_USER_PATH is ${WAS_USER_PATH}"
if test "${WAS_USER_PATH}" = ""; then
echo "No user path found, exiting tool"
exit
fi


# Grep the ${WAS_USER_PATH}/profileRegistry/profileregistry.xml for profile Path  
#grep  '<profile isAReservationTicket'   ${WAS_USER_PATH}/profileRegistry/profileregistry.xml | cut   -d '"' -f8 > /tmp/WASProfilePaths.txt                                                                                                                  
WAS_PROFILE_PATH=`grep -i  $WAS_PROFILE_NAME   ${WAS_USER_PATH}/profileRegistry/profileregistry.xml | cut   -d '"' -f8` 
#Test if result is null, if so, error and exit tool.
echo "WAS_PROFILE_PATH is ${WAS_PROFILE_PATH}"
if test "${WAS_PROFILE_PATH}" = ""; then
echo "No profile path found, exiting tool"
exit
fi


#Run collector and place in /tmp directory
echo "Starting Websphere Collector.  This may take several minutes...."

echo "${WAS_PROFILE_PATH}/bin/collector -JarOutName /tmp/Wascollector/${WAS_PROFILE_NAME}Collector.jar"
${WAS_PROFILE_PATH}/bin/collector -JarOutName /tmp/Wascollector/${WAS_PROFILE_NAME}Collector.jar


