###############################################################################
# Change Log
# @1 - changed location of mkdir to accomodate ${CURLOC} rather than /home/mailcollector
# @2 - Added tee output of the SNDDST command to allow for data to be collected on possible errors/output
#
################################################################################
clear
CURLOC=`(pwd) 2>/dev/null`

# @1
#Comment original code, place in current location
#mkdir -p /home/mailcollector/traces/SMTPTraceFiles 
mkdir -p ${CURLOC}/traces/SMTPTraceFiles

#Create output file for standard error and standard output for the user
touch -C 1252 ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt

echo 'Trace is complete when you see "Press Any Key to Continue " '

if test "${EMAIL}" = ""; then
echo "Please enter your e-mail address for sending a test message."
read TESTEMAIL
fi

system "ENDTCPSVR  SERVER(*SMTP)"                                                    

system "DLYJOB DLY(10)"                                                          

system "TRCTCPAPP APP(*SMTPCLT) TRCFULL(*STOPTRC)"                                   

system "STRTCPSVR *SMTP"                                                             

system "DLYJOB DLY(10)"                                                              

                                                                                   
#@2 Added | tee output
system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD('trace message 1') MSG('Twins Win! #1') LONGMSG('Twins Win!')" 2>&1 | tee ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt
system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD('trace message 2') MSG('Twins Win! #2') LONGMSG('Twins Win!')" 2>&1 | tee -a ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt                       
system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD('trace message 3') MSG('Twins Win! #3') LONGMSG('Twins Win!')" 2>&1 | tee -a ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt

system "TRCTCPAPP APP(*SMTPCLT) SET(*OFF) TITLE('Outbound E-mail')"

system "DLYJOB DLY(10)"   


system "WRKSPLF SELECT($LOGNAME *ALL *ALL *ALL *ALL QTMSSTRC)" > ${CURLOC}/traces/SMTPTracespoolFiles.txt     

system "DLYJOB DLY(10)"                                             

echo ' ' 
echo ' '
echo 'Hit Enter to Continue --->  '
read $CONTINUE

${CURLOC}/mail_menu.sh
