################################################################################
#
#
# Change Log                                                                                               
# @1 - changed location of mkdir to accomodate ${CURLOC} rather than /home/mailcollector                   
# @2 - Added tee output of the SNDDST command to allow for data to be collected on possible errors/output  
#                                                                                                          
################################################################################                           
CURLOC=`(pwd) 2>/dev/null`
mkdir -p ${CURLOC}/traces/SMTPTraceFiles 
mkdir -p ${CURLOC}/traces/QMSFTraceFiles

#Create output file for standard error and standard output for th
touch -C 1252 ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt   

system "ENDTCPSVR  SERVER(*SMTP)"                                                    

system "DLYJOB DLY(10)"                                                          

system "TRCTCPAPP APP(*SMTPSVR) TRCFULL(*STOPTRC)"                                   

system "STRTCPSVR *SMTP"                                                             

system "DLYJOB DLY(10)"                                                              



system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD(trace message) MSG('Twins Win! #1') LONGMSG('Twins Win!')"  2>&1 | tee ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt
system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD(trace message) MSG('Twins Win! #2') LONGMSG('Twins Win!')"  2>&1 | tee -a ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt                      
system "SNDDST TYPE(*LMSG) TOINTNET($TESTEMAIL) DSTD(trace message) MSG('Twins Win! #3') LONGMSG('Twins Win!')"  2>&1 | tee -a ${CURLOC}/traces/SMTPTraceFiles/SNDDSTOutput.txt

system "TRCTCPAPP APP(*SMTPSVR) SET(*OFF) TITLE('In-Bound E-Mail')"

system "WRKSPLF SELECT($LOGNAME *ALL *ALL *ALL *ALL QTMSSTRC)" > ${CURLOC}/SMTPTracespoolFiles.txt     



echo ' ' 
echo ' '
echo 'Hit any key to continue --->  '
read $CONTINUE

./mail_menu.sh

